#include "TNamed.h"
#include "TRefArray.h"

class TRAEDetector;

class TRAEParticle : public TNamed
{
	protected:
	
	Int_t fNumDet;//number of detectors hit by particle
	TRefArray  fDetectors;//detectors hit by particle
	
	public:
	TRAEParticle();
	virtual ~TRAEParticle();
	
	virtual void AddDetector(TRAEDetector* det);
	virtual void	Clear(Option_t* option = "");
	virtual void	Print(Option_t* option = "") const;
	
	ClassDef(TRAEParticle,1)
};
